Summary:	x11perf application - X11 server performance test program
Summary(pl.UTF-8):	Aplikacja x11perf do testowania wydajności serwera X11
Name:		xorg-app-x11perf
Version:	1.6.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/test/x11perf-%{version}.tar.xz
# Source0-md5:	d705268a20885cf7aa8ce0099ac17d78
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The x11perf program runs one or more performance tests and reports how
fast an X server can execute the tests.

%description -l pl.UTF-8
Program x11perf uruchamia jeden lub więcej testów wydajnościowych i
informuje jak szybko serwer X jest w stanie wykonać te testy.

%prep
%setup -q -n x11perf-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/x11perf
%attr(755,root,root) %{_bindir}/x11perfcomp
%dir %{_libdir}/X11/x11perfcomp
%attr(755,root,root) %{_libdir}/X11/x11perfcomp/*
%{_mandir}/man1/Xmark.1*
%{_mandir}/man1/x11perf.1*
%{_mandir}/man1/x11perfcomp.1*
%changelog
* Fri Nov 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-x11perf.git;a=log;h=master

* Thu Nov 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 8a71075
- updated to 1.6.2 (now in test dir)

* Wed Mar 20 2019 Jakub Bogusz <qboosh@pld-linux.org> a6cf94a
- updated to 1.6.1

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> f16150a
- updated to 1.6.0

* Thu Jul 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 6f8c308
- updated to 1.5.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 876f9c2
- dropped pre-cvs changelog

* Fri Jan 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 64c98fc
- updated to 1.5.3

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 5dd6130
- updated to 1.5.2

* Sun Oct 18 2009 Jakub Bogusz <qboosh@pld-linux.org> f898831
- updated to 1.5.1

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> a06e3e2
- updated to 1.5

* Tue May 01 2007 Jakub Bogusz <qboosh@pld-linux.org> e02af0a
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7dda8ac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 84d6189
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> a5a4300
- more verbose files, release 1

* Thu Mar 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 5f831cd
- sorted BRs

* Thu Mar 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 620b62b
- updated to 1.4.1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> f77a2d4
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 6a3990c
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> c49debd
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> ab61c38
- removed outdated man patch, fixed appmandir

* Fri Oct 21 2005 jpc <jpc@pld-linux.org> b15a24a
- up to 0.99.1
- the -man patch is missing

